Subject: loop on reset adapter with ixgbe

From: William Dauchy <[email-masked]>
Date: Wed, 20 Nov 2013 19:25:24 +0100

Hi,

On some machines with a network card named
"Intel Corporation 82599EB 10-Gigabit SFI/SFP+"

At boot time, I'm getting an infinite loop showing these messages:

ixgbe 0000:03:00.0 eth0: initiating reset to clear Tx work after link loss
ixgbe 0000:03:00.0 eth0: Reset adapter
ixgbe 0000:03:00.0 eth0: detected SFP+: 3

ethtool info:
driver: ixgbe
version: 3.8.21-k
firmware-version: 0x00000000

I'm using the last linux stable branch v3.10.x.

I need to unplug/plug the network/cable (a twinax cable) several times to
stabilize the situation and get some network.
I was wondering if I should consider this as a driver/firmware bug or if I
should look for a physical issue (I changed the physical cable several times).
Or do you need some more info to help understand this issue?

Best regards,
-- 
William